DebugHandler::WebSocketDebugProgramControl Class Reference

debug program control via AbstractWebSocketDebugHandler More...

Inherits DebugProgramControl.

## Public Member Functions

| addHandler (AbstractWebSocketDebugHandler newHandler)
| add web socket handler object to handler list
| broadcastDataImpl (auto data)
| sends data to all connections
| constructor (string serverName)
| creates the object More...
| sendDataImpl (hash cx, auto data)
| sends data to the given connection

## Protected Attributes

list | handlers = ()
| list of associated AbstractWebSocketDebugHandler handlers

## Detailed Description

debug program control via AbstractWebSocketDebugHandler

More websocket handlers may be assigned, i.e. it can handle more URLs running one or more protocols.

## Member Function Documentation

## constructor()

DebugHandler::WebSocketDebugProgramControl::constructor | ( | string | serverName | ) |

creates the object

Parameters

  serverName | is used identifier fr `welcome` message